PUT api/v1/mobile/supplier-direct-payments/{nrRen}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| nrRen | integer |
Required |
Body Parameters
SupplierDirectPaymentRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| supplierId | integer |
None. |
|
| customerId | integer |
None. |
|
| warehouseId | integer |
None. |
|
| cashAccountId | integer |
None. |
|
| date | date |
None. |
|
| description | string |
None. |
|
| amount | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"supplierId": 1,
"customerId": 2,
"warehouseId": 3,
"cashAccountId": 4,
"date": "2026-08-17T13:05:24.5768007+02:00",
"description": "sample string 5",
"amount": 6.0
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.